/*
 * Copyright (C) 2005 NTT DATA Corporation
 * 
 */
package org.postgresforest.tool.view.action;

import java.util.ArrayList;

import org.eclipse.jface.action.IAction;
import org.eclipse.ui.IViewPart;
import org.postgresforest.tool.bean.BrokenLogInfo;
import org.postgresforest.tool.dialog.brokenlog.BrokenLogDialog;
import org.postgresforest.tool.view.brokenlog.BrokenLogView;

/**
*
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
public class ModBrokenLogAction extends ActionBase {

	private BrokenLogDialog m_dialog;

	public static final String ID = "org.postgresforest.tool.view.action.ModBrokenLogAction";
	
	public void init(IViewPart view) {
		super.init(view);
		m_dialog = new BrokenLogDialog(true);

	}

	/*
	 * (非 Javadoc)
	 * 
	 * @see org.eclipse.ui.IActionDelegate#run(org.eclipse.jface.action.IAction)
	 */
	public void run(IAction action) {
		BrokenLogView view = (BrokenLogView)m_view;

		ArrayList listBrokenLogInfo = view.getSelectedBrokenLogInfoList();
		
		if(listBrokenLogInfo.size() == 1){
			m_dialog.setBrokenLogInfo((BrokenLogInfo)listBrokenLogInfo.get(0));
			m_dialog.open();
		}
	}

}
